## org.apache.lucene.replicator
Class SessionExpiredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.lucene.replicator.SessionExpiredException

All Implemented Interfaces:
  Serializable

    public class SessionExpiredException

extends IOException

Exception indicating that a revision update session was expired due to lack of activity.

See Also:
  `LocalReplicator.DEFAULT_SESSION_EXPIRATION_THRESHOLD`, `LocalReplicator.setExpirationThreshold(long)`, Serialized Form
WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`SessionExpiredException(String message)`
`SessionExpiredException(String message, Throwable cause)`
`SessionExpiredException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionExpiredException

    public SessionExpiredException(String message,
                                   Throwable cause)

See Also:
  `IOException.IOException(String, Throwable)`

### SessionExpiredException

    public SessionExpiredException(String message)

See Also:
  `IOException.IOException(String)`

### SessionExpiredException

    public SessionExpiredException(Throwable cause)

See Also:
  `IOException.IOException(Throwable)`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.